Bug 306211 - msghack fails, invalid character for encoding
msghack fails, invalid character for encoding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 19:24 EDT by Paul W. Frields
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.16.1-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2007-09-25 19:24:15 EDT
Description of problem:
The /usr/bin/msghack binary fails with the following error message:

  File "/usr/bin/msghack", line 3
SyntaxError: Non-ASCII character '\xf8' in file /usr/bin/msghack on line 3, but
no encoding declared; see http://www.python.org/peps/pep-0263.html for details

This could easily be solved by either running 'iconv' during package building,
or declaring an encoding.  I'm not able to check right now whether this
condition exists in Rawhide, but if so, this is a trivial fix.


Version-Release number of selected component (if applicable):
gettext-0.16.1-8.fc7
Comment 1 Jens Petersen 2007-09-25 20:26:12 EDT
Yes, it is fixed in rawhide for F8, see bug 250248.

Let me leave this open to remind me to do an update for F7.
Comment 2 Jens Petersen 2007-10-15 02:34:52 EDT
Thanks, this should get fixed in gettext-0.16.1-9.fc7.
Comment 3 Fedora Update System 2007-10-17 22:30:40 EDT
gettext-0.16.1-9.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gettext'
Comment 4 Paul W. Frields 2007-10-21 12:44:24 EDT
Looks good here, thanks Jens!
Comment 5 Fedora Update System 2007-10-24 03:08:44 EDT
gettext-0.16.1-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.